summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormrbit2015-07-15 14:13:06 +0200
committermrbit2015-07-15 14:13:06 +0200
commit2edc8e7dc77f2093ce00ed7bff7fa021e866e056 (patch)
tree1ec66cb2dd64cf201a395a7a4688ca814d1a1459
downloadaur-boombox.tar.gz
Package imported by apac-migrate
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD32
2 files changed, 52 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..db696aa2257
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = boombox
+ pkgdesc = BoomBox is an KDE4-audio player with built-in database for easy browsing of local music files
+ pkgver = 0.4.4
+ pkgrel = 1
+ url = http://kde-apps.org/content/show.php/BoomBox?content=12964
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = automoc4
+ makedepends = cmake
+ depends = kdelibs>=4.3
+ depends = kdebase-runtime
+ depends = qt4
+ depends = phonon>=4
+ depends = kdelibs>=4
+ source = https://opendesktop.org/CONTENT/content-files/12964-boombox-0.4.4.tar.gz
+ md5sums = 00149aa097444726280bf5874de69e80
+
+pkgname = boombox
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d760bf9ed6e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+
+pkgname=boombox
+pkgver=0.4.4
+pkgrel=1
+pkgdesc="BoomBox is an KDE4-audio player with built-in database for easy browsing of local music files"
+arch=(i686 x86_64)
+url="http://kde-apps.org/content/show.php/BoomBox?content=12964"
+license=('GPL2')
+depends=('kdelibs>=4.3' 'kdebase-runtime' 'qt4' 'phonon>=4' 'kdelibs>=4')
+makedepends=('automoc4' 'cmake')
+source=("https://opendesktop.org/CONTENT/content-files/12964-${pkgname}-${pkgver}.tar.gz")
+md5sums=('00149aa097444726280bf5874de69e80')
+_buildir=$srcdir/${pkgname}-${pkgver}/build
+
+build() {
+cd $srcdir/${pkgname}-${pkgver}
+
+if [ -d "$_buildir" ]; then
+ msg 'Cleaning previous build...'
+ rm -rf "$_buildir"
+ fi
+#run cmake manually to set the correct CMAKE_INSTALL_PREFIX
+mkdir build
+cd build
+cmake -DQT_QMAKE_EXECUTABLE=qmake4 -DCMAKE_INSTALL_PREFIX=/usr ..
+
+make || return 1
+
+cd $srcdir/${pkgname}-${pkgver}/build
+make DESTDIR=$pkgdir install/strip || return 1
+#install -D -m644 $srcdir/kfritz/$pkgname.desktop $pkgdir/usr/share/applications/$pkgname.desktop
+}